Bug 481706 - SELinux is preventing automount (automount_t) "signal" to <Unknown> (mount_t).
SELinux is preventing automount (automount_t) "signal" to <Unknown> (mount_t).
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.3
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 04:29 EST by Paul Jaques
Modified: 2012-10-15 09:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:59:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Jaques 2009-01-27 04:29:10 EST
Source Context:  system_u:system_r:system_dbusd_t
Target Context:  system_u:system_r:system_dbusd_t
Target Objects:  None [ process ]
Source:  nm-system-setti
Source Path:  /usr/sbin/nm-system-settings
Port:  <Unknown>
Host:  pm1.kpo.kz
Source RPM Packages:  NetworkManager-0.7.0-3.el5
Target RPM Packages:  
Policy RPM:  selinux-policy-2.4.6-203.el5
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  catchall
Host Name:  pm1.kpo.kz
Platform:  Linux pm1.kpo.kz 2.6.18-128.el5 #1 SMP Wed Dec 17 11:41:38 EST 2008 x86_64 x86_64
Alert Count:  2
First Seen:  Tue 27 Jan 2009 08:27:35 AM GMT
Last Seen:  Tue 27 Jan 2009 08:27:35 AM GMT
Local ID:  b3b68e74-3600-4263-938a-f2da7db07834

Line Numbers:  

Raw Audit Messages :host=pm1.kpo.kz type=AVC msg=audit(1233044855.459:16): avc: denied { getsched } for pid=3643 comm="nm-system-setti" scontext=system_u:system_r:system_dbusd_t:s0 tcontext=system_u:system_r:system_dbusd_t:s0 tclass=process

host=pm1.kpo.kz type=SYSCALL msg=audit(1233044855.459:16): arch=c000003e syscall=145 success=no exit=-13 a0=e3b a1=2b1c0c6ef6e0 a2=d a3=3c8e416280 items=0 ppid=1 pid=3643 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="nm-system-setti" exe="/usr/sbin/nm-system-settings" subj=system_u:system_r:system_dbusd_t:s0 key=(null)
Comment 1 Paul Jaques 2009-01-27 04:33:39 EST
Pasted wrong info. Sorry! Below is correct alert

Source RPM Packages:  autofs-5.0.1-0.rc2.102
Target RPM Packages:  Policy RPM:  selinux-policy-2.4.6-203.el5
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  catchall
Host Name:  pm1.kpo.kz
Platform:  Linux pm1.kpo.kz 2.6.18-128.el5 #1 SMP Wed Dec 17 11:41:38 EST 2008 x86_64 x86_64
Alert Count:  6
First Seen:  Tue 27 Jan 2009 08:34:06 AM GMT
Last Seen:  Tue 27 Jan 2009 09:01:50 AM GMT
Local ID:  8ad06ea6-9b23-442a-8852-f1ab1c0ed8d8
Line Numbers:

Raw Audit Messages :

host=pm1.kpo.kz type=AVC msg=audit(1233046910.39:71): avc: denied { signal } for pid=4260 comm="automount" scontext=system_u:system_r:automount_t:s0 tcontext=system_u:system_r:mount_t:s0 tclass=process

host=pm1.kpo.kz type=SYSCALL msg=audit(1233046910.39:71): arch=c000003e syscall=62 success=no exit=-13 a0=10a5 a1=f a2=3 a3=0 items=0 ppid=1 pid=4260 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="automount" exe="/usr/sbin/automount" subj=system_u:system_r:automount_t:s0 key=(null)
Comment 2 Daniel Walsh 2009-01-27 15:15:06 EST
Strange



You can allow this for now.

# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Fixed in selinux-policy-2.4.6-205.el5
Comment 9 errata-xmlrpc 2009-09-02 03:59:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1242.html

Note You need to log in before you can comment on or make changes to this bug.